<html>
<head>
<title>DESS; Programme</title>

<LINK REL=FONTDEF SRC="../../fonts/Amelia.pfr">
<STYLE type="text/css">
body {color: #F0A060; background-color : #402000}

em {color: #FF0000; font-weight: bold; font-style: normal}
h2 {color: #008000; border-style: double;  
    border-color: red; border-width: 20px }
H3 {font-style: italic; border-style: groove; border-color: green;
     border-width: 10px }
.ame {font-family: Amelia BT; font-size: 45pt}
#fst {position:absolute; top: 80px; left: 40px; z-index: 1; 
      color: #A0F000 }
#snd {position:absolute; top: 84px; left: 44px; z-index: 2; 
      color: #FFFF00 }
#thd {position:absolute; top: 88px; left: 48px; z-index: 3; 
      color: #FF6020}

#bod {position: absolute; top: 200px; left: 10px; font-size: 14pt; 
      color: yellow}

UL {color: #FFB080}
OL {color: #80FFFF; font-weight: bold}
OL OL {color: #A0D0FF; font-weight: normal}
OL OL LI {color: white}
</style>
</head>
<script language="JavaScript"></script>
<body>

<p ID="fst" class=ame>Le Programme Restant</p>
<p ID="snd" class=ame>Le Programme Restant</p>
<p ID="thd" class=ame>Le Programme Restant</p>
<p>

<div ID=bod>
<font size=+1>
En tronc commun j'ai encore trois sujets à aborder :

<UL type="square">
 <LI> Standards et formats des documents graphiques et multi-média, surtout les formats d'animations populaires. 
 <LI> Techniques de compression universelles : LZW (GIF) et LZ77 (PNG), et
   un rappel de la compression arithmétique, sans détails mathématiques.
 <LI> Introduction au LaTeX. Pourquoi? Comment l'utiliser, comment inclure
   les images, comment réutiliser les styles existants, faire un index, etc.
</UL>
<P>

Le cours principal - Synthèse et Compression combinés ensemble - doit couvrir encore les <b>sujets suivants</b> :
<OL type="A">
<LI> Radiosité. Problème d'éclairement global.</li>
 <OL>
 <LI> Définition, radiosité comme la propriété émettrice de la surface.
   Modèle global de la scène : radiation (lumière) en équilibre avec les
   objets. Couplage entre les facettes, notion de facteur de forme.
 <LI> Equation principale de radiosité. Méthodes de solution d'un grand
   système d'équations linéaires (exemple : Gauss-Seidel). Différence entre les algorithmes de "<I>gathering</I>" et "<I>shooting</I>". Radiosité progressive (algorithme itératif). Simulation de radiosité par les lanceurs de rayons.
 <LI> Comment calculer les facteurs de forme : technique de l'hémisphère.
 <LI> Paquetages disponibles sur l'Internet.
 </OL>
<p>

<LI> Traitement d'images. Post-traitement, effets spéciaux, etc. (Pas
  beaucoup de matériel commun avec le cours de Marinette. Objectif : traitement d'images comme <em>l'aide à la création</em>. Quelques algorithmes expliqués avec détails.)
 <OL>
 <LI> Transformations et déformations d'images ; spécificité de la géométrie discrète, nécessité d'interpolation des couleurs. Digression : morphing. Autres déformations <EM>importantes</EM> : simulation de la perspective, caméra <I>fish-eye</I>; texture-mapping.
 <LI> Manipulation dans l'espace de couleurs (autres que celles déjà traitées, comme le tramage, <I>dithering</I>, gamma, ou quantisation des couleurs). Équalisation de l'histogramme : algorithmes. Gestion de la transparence. Notion de canaux. Travail avec couches sous Gimp ou Photoshop (ou PaintShop, etc.) Algèbre des images.
 <LI> Filtres "artistiques". Bump-mapping. Filtres de déplacement (<I>displacement maps</I>). Simulation de l'extrusion (p. ex. textes 3D), "embossing", etc.
 <LI> Génération de quelques textures procédurales. (Marbre, bois, etc.) Usage des générateurs pseudo-aléatoires, de la turbulence, etc.
 </OL>
  

<p>

<LI> Animation. Caractérisation du domaine. Question principale : voulons nous écrire un <EM>scénario</EM>, ou coder une <EM>simulation</EM> (modèle "naturel"). Quelques aspects psychologiques de la reception des images animées : perception du temps.
 <OL>
 <LI> Quelques questions "physiques": équations du mouvement, et erreurs de programmation (problème de stabilité). Qu'est-ce qu'un mouvement "naturel". Spécificité des acteurs vivants.
 <LI> Travail avec les pistes ; intégration d'une animation complexe. Introduction sur la scène des objets factices. Hiérarchisation de la dynamique des objets. 
 <LI> Cinématique "directe", et cinématique "inverse".
 <LI> Systèmes de particules, et animation des objets collectifs.
 <LI> Deux mots sur les GIFs animés.
 </OL>


<p>

<LI> Ondelettes. Ceci est un domaine mathématique assez lourd, mais qui serà présenté de manière très allégé. Leur usage pour la compression.
 <OL> 
 <li> Idée de base - une autre représentation spectrale, différente de celle de Fourier ; locale. Point de départ : qu'est-ce qu'un pixel, comment représenter mathématiquement un tableau discret comme une fonction. Séparation des moyennes et des détails. Équation de raffinement. Multi-résolution.
 <LI> Exemple: ondelettes de Haar. Transformée rapide en ondelettes. Autres exemples, notamment les ondelettes de Daubechies (sans détails).
 <LI> Applications. Quantisation et seuillage dans l'espace des ondelettes comme l'alternative au JPEG.
 <li> Quelques mots sur d'autres applications, comme la représentation des courbes ou des surfaces échantillonnées.
 <li> Bibliographie, ressources Internet.
 </OL>

<p>

<LI> D'autres propositions??

</OL>
<p>

Si vous voulez dès et déjà un programme encore plus détaillé, il suffit de me poser des questions, je mettrai à jour ce texte. Pas de questions? Alors pas de réponses. Je vous rappelle que le polycopié sur les ondelettes ainsi que le texte sur le traitement d'images sont depuis longtemps à votre disposition, et j'espère que tout le monde sache <EM>où</EM> les chercher...
<p>

</font>
</div>
<P>

</body>
</html>
